<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use App\Models\Categorias;


class CategoriasController extends Controller
{
     public function index(Request $request){

        $categorias = Categorias::all(); 
        /*$categorias = Categoria::findOrFail(1);
        $categorias = Categoria::where('id_categoria', 1)->get();
        $categorias = Categoria::where('nombre', 'Tecnología')->get();
        $categorias = Categoria::where('nombre', 'like', '%tec%')->get();
        $categorias = Categoria::orderBy('nombre', 'asc')->get();
        $categorias = Categoria::first();
        $categorias = Categoria::last();
        Categoria::count();*/


        return view('categorias.index', ["categorias"=>$categorias]);
    }

    
}
